summaryrefslogtreecommitdiffstats
path: root/.local/bin/mpd-module-update
diff options
context:
space:
mode:
authorLuke Smith <luke@lukesmith.xyz>2020-04-10 22:53:45 -0400
committerLuke Smith <luke@lukesmith.xyz>2020-04-10 22:53:45 -0400
commit6f36fe31693ad7dd47ecb443901039eb5c96969f (patch)
tree3b9e1bdc384f28d012dda08bddbbfe0c839afa65 /.local/bin/mpd-module-update
parent7ada6550073b9ec011fd8ec9cf571e55b57d1d97 (diff)
downloadeibhear-6f36fe31693ad7dd47ecb443901039eb5c96969f.tar.gz
eibhear-6f36fe31693ad7dd47ecb443901039eb5c96969f.tar.zst
eibhear-6f36fe31693ad7dd47ecb443901039eb5c96969f.zip
STATUSBAR uncommented only for i3, cleanup, probably broke everything LOL
Diffstat (limited to '.local/bin/mpd-module-update')
-rwxr-xr-x.local/bin/mpd-module-update3
1 files changed, 2 insertions, 1 deletions
diff --git a/.local/bin/mpd-module-update b/.local/bin/mpd-module-update
index da8d9fc..ced910f 100755
--- a/.local/bin/mpd-module-update
+++ b/.local/bin/mpd-module-update
@@ -2,6 +2,7 @@
# This loop will update the mpd statusbar module whenever a command changes the
# music player's status. mpd must be running on X's start for this to work.
+
while : ; do
- mpc idle >/dev/null && pkill -RTMIN+11 "${STATUSBAR:?}" || break
+ mpc idle >/dev/null && pkill -RTMIN+11 "${STATUSBAR:-dwmblocks}" || break
done